Package com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_cpu_t

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_cpu_t

Enclosing interface:
  Perfstat

    @FieldOrder({"name","user","sys","idle","wait","pswitch","syscall","sysread","syswrite","sysfork","sysexec","readch","writech","bread","bwrite","lread","lwrite","phread","phwrite","iget","namei","dirblk","msg","sema","minfaults","majfaults","puser","psys","pidle","pwait","redisp_sd0","redisp_sd1","redisp_sd2","redisp_sd3","redisp_sd4","redisp_sd5","migration_push","migration_S3grq","migration_S3pul","invol_cswitch","vol_cswitch","runque","bound","decrintrs","mpcrintrs","mpcsintrs","devintrs","softintrs","phantintrs","idle_donated_purr","idle_donated_spurr","busy_donated_purr","busy_donated_spurr","idle_stolen_purr","idle_stolen_spurr","busy_stolen_purr","busy_stolen_spurr","hpi","hpit","puser_spurr","psys_spurr","pidle_spurr","pwait_spurr","spurrflag","localdispatch","neardispatch","fardispatch","cswitches","version","tb_last"})
    public static class Perfstat.perfstat_cpu_t
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`long` `bound`
`long` `bread`
`long` `busy_donated_purr`
`long` `busy_donated_spurr`
`long` `busy_stolen_purr`
`long` `busy_stolen_spurr`
`long` `bwrite`
`long` `cswitches`
`long` `decrintrs`
`long` `devintrs`
`long` `dirblk`
`long` `fardispatch`
`long` `hpi`
`long` `hpit`
`long` `idle`
`long` `idle_donated_purr`
`long` `idle_donated_spurr`
`long` `idle_stolen_purr`
`long` `idle_stolen_spurr`
`long` `iget`
`long` `invol_cswitch`
`long` `localdispatch`
`long` `lread`
`long` `lwrite`
`long` `majfaults`
`long` `migration_push`
`long` `migration_S3grq`
`long` `migration_S3pul`
`long` `minfaults`
`long` `mpcrintrs`
`long` `mpcsintrs`
`long` `msg`
`byte[]` `name`
`long` `namei`
`long` `neardispatch`
`long` `phantintrs`
`long` `phread`
`long` `phwrite`
`long` `pidle`
`long` `pidle_spurr`
`long` `pswitch`
`long` `psys`
`long` `psys_spurr`
`long` `puser`
`long` `puser_spurr`
`long` `pwait`
`long` `pwait_spurr`
`long` `readch`
`long` `redisp_sd0`
`long` `redisp_sd1`
`long` `redisp_sd2`
`long` `redisp_sd3`
`long` `redisp_sd4`
`long` `redisp_sd5`
`long` `runque`
`long` `sema`
`long` `softintrs`
`int` `spurrflag`
`long` `sys`
`long` `syscall`
`long` `sysexec`
`long` `sysfork`
`long` `sysread`
`long` `syswrite`
`long` `tb_last`
`long` `user`
`long` `version`
`long` `vol_cswitch`
`long` `wait`
`long` `writech`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`perfstat_cpu_t()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public byte[] name

#### user

    public long user

#### sys

    public long sys

#### idle

    public long idle

#### wait

    public long wait

#### pswitch

    public long pswitch

#### syscall

    public long syscall

#### sysread

    public long sysread

#### syswrite

    public long syswrite

#### sysfork

    public long sysfork

#### sysexec

    public long sysexec

#### readch

    public long readch

#### writech

    public long writech

#### bread

    public long bread

#### bwrite

    public long bwrite

#### lread

    public long lread

#### lwrite

    public long lwrite

#### phread

    public long phread

#### phwrite

    public long phwrite

#### iget

    public long iget

#### namei

    public long namei

#### dirblk

    public long dirblk

#### msg

    public long msg

#### sema

    public long sema

#### minfaults

    public long minfaults

#### majfaults

    public long majfaults

#### puser

    public long puser

#### psys

    public long psys

#### pidle

    public long pidle

#### pwait

    public long pwait

#### redisp_sd0

    public long redisp_sd0

#### redisp_sd1

    public long redisp_sd1

#### redisp_sd2

    public long redisp_sd2

#### redisp_sd3

    public long redisp_sd3

#### redisp_sd4

    public long redisp_sd4

#### redisp_sd5

    public long redisp_sd5

#### migration_push

    public long migration_push

#### migration_S3grq

    public long migration_S3grq

#### migration_S3pul

    public long migration_S3pul

#### invol_cswitch

    public long invol_cswitch

#### vol_cswitch

    public long vol_cswitch

#### runque

    public long runque

#### bound

    public long bound

#### decrintrs

    public long decrintrs

#### mpcrintrs

    public long mpcrintrs

#### mpcsintrs

    public long mpcsintrs

#### devintrs

    public long devintrs

#### softintrs

    public long softintrs

#### phantintrs

    public long phantintrs

#### idle_donated_purr

    public long idle_donated_purr

#### idle_donated_spurr

    public long idle_donated_spurr

#### busy_donated_purr

    public long busy_donated_purr

#### busy_donated_spurr

    public long busy_donated_spurr

#### idle_stolen_purr

    public long idle_stolen_purr

#### idle_stolen_spurr

    public long idle_stolen_spurr

#### busy_stolen_purr

    public long busy_stolen_purr

#### busy_stolen_spurr

    public long busy_stolen_spurr

#### hpi

    public long hpi

#### hpit

    public long hpit

#### puser_spurr

    public long puser_spurr

#### psys_spurr

    public long psys_spurr

#### pidle_spurr

    public long pidle_spurr

#### pwait_spurr

    public long pwait_spurr

#### spurrflag

    public int spurrflag

#### localdispatch

    public long localdispatch

#### neardispatch

    public long neardispatch

#### fardispatch

    public long fardispatch

#### cswitches

    public long cswitches

#### version

    public long version

#### tb_last

    public long tb_last

### Constructor Detail

#### perfstat_cpu_t

    public perfstat_cpu_t()